/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package org.apache.tuscany.sca.implementation.bpel;

import org.apache.tuscany.sca.assembly.Extensible;
import org.apache.tuscany.sca.assembly.Implementation;
import org.apache.ode.bpel.iapi.ProcessConf;

import javax.xml.namespace.QName;

/**
 * The model representing the BPEL implementation in an SCA assembly model.
 * 
 * @version $Rev$ $Date$
 */
public interface BPELImplementation extends Implementation, Extensible {

    /**
     * Builds the process configuration used by ODE to get deployment and configuration
     * level information about a process.
     * @return
     */
    ProcessConf getProcessConf();

    /**
     * Sets the implementation compiled process bytes
     * @param compiledProcess serialized compiled process
     */
    void setCompiledProcess(byte[] compiledProcess);

    /**
     * @param processName process QName
     */
    void setProcessName(QName processName);
}
