/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package org.apache.tuscany.service.management.jmx;

import org.apache.tuscany.api.TuscanyRuntimeException;

/**
 * Maps JMX exceptions to runtime exceptions.
 * 
 * @version $Revision: 516968 $ $Date: 2007-03-11 17:37:03 +0000 (Sun, 11 Mar 2007) $
 */
@SuppressWarnings("serial")
public class JmxException extends TuscanyRuntimeException {

    /**
     * Initializes the root cause.
     * @param cause Initializes the root cause.
     */
    public JmxException(Throwable cause) {
        super(cause);
    }

    /**
     * Initializes the root cause.
     * @param message Message for the exception.
     * @param cause Initializes the root cause.
     */
    public JmxException(String message, Throwable cause) {
        super(message, cause);
    }

}
